<template>
    <div>
        <el-form :model="formData" :rules="rules" ref="form" label-width="80px" label-position="right" size="small" style="max-width: 500px;">
            <el-form-item prop="arContentId" label="AR内容ID">
                <template>
                    <el-select v-model="formData.arContentId" clearable placeholder="请选择" :disabled="'arContentId'==subColumn">
                        <el-option v-for="item in arContentIdOptions" :key="item.value" :label="item.label" :value="item.value">
                        </el-option>
                    </el-select>
                </template>
            </el-form-item>
            <el-form-item prop="type" label="类型">
                <el-input v-model="formData.type" :disabled="'type'==subColumn"></el-input>
            </el-form-item>
            <el-form-item prop="remark1" label="字段1">
                <el-input v-model="formData.remark1" :disabled="'remark1'==subColumn"></el-input>
            </el-form-item>
            <el-form-item prop="remark2" label="字段2">
                <el-input v-model="formData.remark2" :disabled="'remark2'==subColumn"></el-input>
            </el-form-item>
            <el-form-item prop="remark3" label="字段3">
                <el-input v-model="formData.remark3" :disabled="'remark3'==subColumn"></el-input>
            </el-form-item>
            <el-form-item prop="remark4" label="字段4">
                <el-input v-model="formData.remark4" :disabled="'remark4'==subColumn"></el-input>
            </el-form-item>
            <el-form-item prop="remark5" label="字段5">
                <el-input v-model="formData.remark5" :disabled="'remark5'==subColumn"></el-input>
            </el-form-item>
            <el-form-item prop="remark6" label="字段6">
                <el-input v-model="formData.remark6" :disabled="'remark6'==subColumn"></el-input>
            </el-form-item>
            <el-form-item prop="remark7" label="字段7">
                <el-input v-model="formData.remark7" :disabled="'remark7'==subColumn"></el-input>
            </el-form-item>
            <el-form-item prop="remark8" label="字段8">
                <el-input v-model="formData.remark8" :disabled="'remark8'==subColumn"></el-input>
            </el-form-item>
            <el-form-item prop="remark9" label="字段9">
                <el-input v-model="formData.remark9" :disabled="'remark9'==subColumn"></el-input>
            </el-form-item>
            <el-form-item prop="remark10" label="字段10">
                <el-input v-model="formData.remark10" :disabled="'remark10'==subColumn"></el-input>
            </el-form-item>
            <el-form-item prop="remark11" label="字段11">
                <el-input v-model="formData.remark11" :disabled="'remark11'==subColumn"></el-input>
            </el-form-item>
            <el-form-item prop="remark12" label="字段12">
                <el-input v-model="formData.remark12" :disabled="'remark12'==subColumn"></el-input>
            </el-form-item>
            <el-form-item prop="remark13" label="字段13">
                <el-input v-model="formData.remark13" :disabled="'remark13'==subColumn"></el-input>
            </el-form-item>
            <el-form-item prop="remark14" label="字段14">
                <el-input v-model="formData.remark14" :disabled="'remark14'==subColumn"></el-input>
            </el-form-item>
            <el-form-item prop="remark15" label="字段15">
                <el-input v-model="formData.remark15" :disabled="'remark15'==subColumn"></el-input>
            </el-form-item>
            <el-form-item>
                <el-button @click="onSave" :loading="$store.state.fetchingData" type="primary">保存</el-button>
                <el-button @click="onDelete" v-if="formData.id" type="danger">删除</el-button>
                <el-button @click="$router.go(-1)">取消</el-button>
            </el-form-item>
        </el-form>
    </div>
</template>
<script>
import formValidator from '../formValidator'

export default {
    created() {
        if (this.$route.query.column) {
            this.subColumn = this.$route.query.column.split(',')[1];
            this.subValue = this.$route.query.column.split(',')[0];
        }

        if (this.$route.query.id) {
            this.$http.get({
                url: '/arContentChild/getOne',
                data: {
                    id: this.$route.query.id
                }
            }).then(res => {
                if (res.success) {


                    this.formData = res.data;

                    if (this.$route.query.column) {
                        this.formData[this.subColumn] = this.subValue;
                    }
                }
            })
        } else {
            if (this.$route.query.column) {
                this.formData[this.subColumn] = this.subValue;
            }
        }




        this.$http.get({
            url: '/arContent/all'
        }).then(res => {
            if (res.success) {

                if (res.data.length > 0) {
                    res.data.forEach(item => {
                        this.arContentIdOptions.push({ label: item.name, value: String(item.id)});
                    })
                }
            }
        });
    },
    data() {
        return {
            saving: false,
            formData: {},
            rules: {
            },
            arContentIdOptions: [],
            subColumn: '',
            subValue: '',
        }
    },
    methods: {
        onSave() {
            this.$refs.form.validate((valid) => {
                if (valid) {
                    this.submit();
                } else {
                    return false;
                }
            });
        },
        submit() {
            var data = JSON.parse(JSON.stringify(this.formData));
            this.$http.post({
                url: this.formData.id ? '/arContentChild/update' : '/arContentChild/save',
                data: data
            }).then(res => {
                if (res.success) {
                    this.$message.success('成功');
                    this.$router.go(-1);
                } else {
                    this.$message.warning('失败')
                }
            });
        },
        onDelete() {
            this.$alert('删除将无法恢复，确认要删除么？', '警告', { type: 'error' }).then(() => {
                return this.$http.post({
                    url: '/arContentChild/del',
                    data: { id: this.formData.id }
                })
            }).then(() => {
                this.$message.success('删除成功');
                this.$router.go(-1);
            }).catch(action => {
                if (action === 'cancel') {
                    this.$message.info('删除取消');
                } else {
                    this.$message.error('删除失败');
                }
            })
        },
    }
}
</script>
<style lang="less" scoped>
</style>
